Amazone_Condor_by_Torakin = {}
local modDirectory = g_currentModDirectory

function Amazone_Condor_by_Torakin.registerFruitTypes(self, superFunc)
    superFunc(self)

    local xml = loadXMLFile("Amazone_Condor_by_Torakin", modDirectory.."fruitTypes.xml")
    g_fruitTypeManager:loadFruitTypes(xml, nil, false)
    delete(xml)
end

FruitTypeManager.loadDefaultTypes = Utils.overwrittenFunction(FruitTypeManager.loadDefaultTypes, Amazone_Condor_by_Torakin.registerFruitTypes)